Package org.sonatype.maven.polyglot

# Class PolyglotModelTranslator

java.lang.Object
org.sonatype.maven.polyglot.PolyglotModelTranslator

@Component(role=PolyglotModelTranslator.class) public class PolyglotModelTranslator extends Object
Translates between polyglot model formats.

Since:
  0.7
Author:
  Jason Dillon

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.codehaus.plexus.logging.Logger`
`log`

## Constructor Summary

Constructors
Constructor
Description
`PolyglotModelTranslator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`translate(File input, File output)`
`void`
`translate(File input, Map<String,?> inputOptions, File output, Map<String,?> outputOptions)`
`void`
`translate(InputStream input, Map<String,?> inputOptions, OutputStream output, Map<String,?> outputOptions)`
`void`
`translate(Reader input, Map<String,?> inputOptions, Writer output, Map<String,?> outputOptions)`
`void`
`translate(URL input, URL output)`
`void`
`translate(URL input, Map<String,?> inputOptions, URL output, Map<String,?> outputOptions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Requirement protected org.codehaus.plexus.logging.Logger log

## Constructor Details

### PolyglotModelTranslator

public PolyglotModelTranslator()

## Method Details

### translate

public void translate(File input, File output) throws IOException, org.apache.maven.model.io.ModelParseException

Throws:
  `IOException`
  `org.apache.maven.model.io.ModelParseException`

### translate

public void translate(File input, Map<String,?> inputOptions, File output, Map<String,?> outputOptions) throws IOException, org.apache.maven.model.io.ModelParseException

Throws:
  `IOException`
  `org.apache.maven.model.io.ModelParseException`

### translate

public void translate(URL input, URL output) throws IOException, org.apache.maven.model.io.ModelParseException

Throws:
  `IOException`
  `org.apache.maven.model.io.ModelParseException`

### translate

public void translate(URL input, Map<String,?> inputOptions, URL output, Map<String,?> outputOptions) throws IOException, org.apache.maven.model.io.ModelParseException

Throws:
  `IOException`
  `org.apache.maven.model.io.ModelParseException`

### translate

public void translate(InputStream input, Map<String,?> inputOptions, OutputStream output, Map<String,?> outputOptions) throws IOException, org.apache.maven.model.io.ModelParseException

Throws:
  `IOException`
  `org.apache.maven.model.io.ModelParseException`

### translate

public void translate(Reader input, Map<String,?> inputOptions, Writer output, Map<String,?> outputOptions) throws IOException, org.apache.maven.model.io.ModelParseException

Throws:
  `IOException`
  `org.apache.maven.model.io.ModelParseException`